#ifndef ZONEFILEVIEWER_H
#define ZONEFILEVIEWER_H

#include "zonefile.h"
#include "utils.h"

#include <QWidget>

namespace Ui {
class ZoneFileViewer;
}

class ZoneFileViewer : public QWidget
{
    Q_OBJECT

public:
    explicit ZoneFileViewer(QWidget *parent = nullptr);
    ~ZoneFileViewer();

    void SetZoneFile(const ZoneFile *aZoneFile);

public slots:
    void SortTags(const QString &aSearchText);

    void HighlightRecordInOrder();

private:
    Ui::ZoneFileViewer *ui;
    const ZoneFile* mZoneFile;
};

#endif // ZONEFILEVIEWER_H
